package com.muyu.controller;

import com.muyu.domain.constants.Result;
import com.muyu.domain.constants.Type;
import com.muyu.service.TypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @Author：qdm
 * @Package：com.muyu.controller
 * @Project：cloud-etl-engine
 * @name：TypeController
 * @Date：2024/8/23 22:35
 */
@RestController
@RequestMapping("/type")
public class TypeController {
    @Autowired
    TypeService typeService;

    /**
     * 类型列表
     *
     * @return
     */
    @PostMapping("/list")
    public List<Type> list() {
        return typeService.list();
    }

    /**
     * 类型添加
     *
     * @param type
     * @return
     */
    @PostMapping("/add")
    public Result add(@RequestBody Type type) {
        return typeService.add(type);
    }

    /**
     * 修改类型
     *
     * @param type
     * @return
     */
    @PostMapping("/update")
    public Result upadte(@RequestBody Type type) {
        return typeService.update(type);
    }

    /**
     * 删除类型
     *
     * @param id
     * @return
     */
    @PostMapping("/delete/{id}")
    public Result delete(@PathVariable Integer id) {
        return typeService.delete(id);
    }
}
