package com.muyu.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.core.domain.Result;
import com.muyu.domain.constants.EngineVersion;
import com.muyu.resp.EngineConfigScopeResp;

import java.util.List;

/**
 * @Author：qdm
 * @Package：com.muyu.service
 * @Project：cloud-etl-engine
 * @name：EngineVersionService
 * @Date：2024/8/22 21:57
 */
public interface EngineVersionService extends IService<EngineVersion> {

    /**
     * 查询引擎规则配置列表
     *
     * @param engineConfig 引擎规则配置
     * @return 引擎规则配置集合
     */
    public List<EngineVersion> list(EngineVersion engineConfig);

    EngineVersion add(EngineVersion engineVersion);

    EngineVersion updateMsg(EngineVersion engineVersion);

    Result<EngineVersion> updateVersion(EngineVersion engineVersion);

    List<EngineConfigScopeResp> getScopeList();

    EngineConfigScopeResp getScopeInfoById(Integer id);
}
