package com.muyu.service.serviceImpl;

import com.muyu.domain.constants.Result;
import com.muyu.domain.constants.Type;
import com.muyu.mapper.TypseMapper;
import com.muyu.service.TypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author：qdm
 * @Package：com.muyu.service.serviceImpl
 * @Project：cloud-etl-engine
 * @name：TypeServiceImpl
 * @Date：2024/8/23 22:35
 */
@Service
public class TypeServiceImpl implements TypeService {
    @Autowired
    TypseMapper typseMapper;

    @Override
    public List<Type> list() {
        List<Type> list = typseMapper.list();
        return list;
    }

    @Override
    public Result add(Type type) {
        Integer res = typseMapper.add(type);
        return Result.success();
    }

    @Override
    public Result update(Type type) {
        Integer res = typseMapper.update(type);
        return Result.success();
    }

    @Override
    public Result delete(Integer id) {
        Integer res = typseMapper.delete(id);
        return Result.success(res);
    }
}
